<h2><a name="query">CONSULTA</a></h2>

<h3><a name="query-term">Consulta de un slo trmino</a></h3>
<p>
La consulta especifica slo un trmino para recibir todos los documentos que contienen el trmino.  Ej:
</p>

<p class="example">
namazu
</p>

<h3><a name="query-and">Consulta AND</a></h3> 

<p>
La consulta especifica dos o ms trminos para recibir todos los documentos que contienen ambos trminos.  Tu puedes insertar el operador <code class="operator">and</code> entre los trminos.  Ej:
</p>

<p class="example">
Linux and Netscape
</p>

<p>
Tu puedes omitir el operador <code class="operator">and</code>.  Los trminos los cuales estn separados por uno o ms espacios se asume que son una consulta AND.
</p>

<h3><a name="query-or">Consulta OR</a></h3>
<p>
La consulta especifica dos o ms trminos para recibir todos los documentos que contienen alguno de los trminos.  Tu puedes insertar el operador
<code class="operator">or</code> entre los trminos.  Ej:
</p>

<p class="example">
Linux or FreeBSD
</p>

<h3><a name="query-not">Operador NOT</a></h3>
<p>
La consulta especifica dos o ms terminos para recibir todos los documentos
que contienen el primer trmino pero no contienen los trminos siguientes.  
Tu puedes insertar el operador <code class="operator">not</code>
entre los trminos para hacer una consulta NOT.  Ej:
</p>

<p class="example">
Linux not UNIX
</p>


<h3><a name="query-grouping">Agrupando</a></h3>
<p>
Tu puedes agrupar consultas encerrndolas entre parntesis.  Los parntesis 
deben estar separados por uno o ms espacios.  Ej:
</p>

<p class="example">
( Linux or FreeBSD ) and Netscape not Windows
</p>

<h3><a name="query-phrase">Buscandos frases</a></h3>
<p>
Tu puedes buscar una frase la cul consiste de dos o ms trminos encerrados
entre comillas como
<code class="operator">"..."</code> o con llaves como
<code class="operator">{...}</code>.
La precisin de la bsqueda por frase no es el 100 %, y puede causar ocasionalmente algn resultado errneo.  Ej:
</p>

<p class="example">
{GNU Emacs}
</p>

<!-- foo
<p>
You must choose the latter with Tkanamzu or namazu.el.
</p>
-->

<h3><a name="query-substring">Substring matching</a></h3>
<p>
The are three types of substring matching searching.
</p>

<dl> 
<dt>Prefix matching
<dd><code class="example">inter*</code> (terms which begin with <code>inter</code>)
<dt>Inside matching
<dd><code class="example">*text*</code> (terms which contain <code>text</code>) 
<dt>Suffix matching
<dd><code class="example">*net</code> (terms which terminated
with <code>net</code>)
</dl>


<h3><a name="query-regex">Regular expressions</a></h3>

<p>
You can use regular expressions for pattern matching. The
regular expressions must be surrounded by slashes like <code
class="operator">/.../</code>. Namazu uses <a
href="http://www.ruby-lang.org/">Ruby</a>'s regular
regular expressions engine. It offers generally <a
href="http://www.perl.com/">Perl</a> compatible flavor.
e.g.,
</p>

<p class="example">
/pro(gram|blem)s?/
</p>


<h3><a name="query-field">Field-specified searching</a></h3>
<p>
You can limit your search to specific fields such as
<code>Subject:</code>, <code>From:</code>,
<code>Message-Id:</code>. It's especially convenient for
Mail/News documents. e.g.,
</p>

<ul>
<li><code class="example">+subject:Linux</code><br>
(Retrieving all documents which contain <code>Linux</code>
in a <code>Subject:</code> field)

<li><code class="example">+subject:"GNU Emacs"</code><br>
(Retrieving all documents which contain <code>GNU Emacs</code>
in a <code>Subject:</code> field)

<li><code class="example">+from:foo@bar.jp</code><br>
(Retrieving all documents which contain <code>foo@bar.jp</code>
in a <code>From:</code> field)


<li><code class="example">+message-id:&lt;199801240555.OAA18737@foo.bar.jp&gt;</code><br>
(Retrieving a certain document which contains specified
<code>Message-Id:</code>)
</ul>

<h3><a name="query-notes">Notes</a></h3>

<ul>
<li>In any queries, Namazu ignores case distinctions of
alphabet characters. In other words, Namazu does
case-insensitive pattern matching in any time.


<li>Japanese phrases are forced to be segmented into
morphemes automatically and are handled them as <a
href="#query-phrase">phrase searching</a>. This processing
causes invalid segmentation occasionally.


<li>Alphabet, numbers or a part of symbols (duplicated in
ASCII) characters which defined in JIS X 0208 (Japanese
Industrial Standards) are handled as ASCII characters.

<li>Namazu can handle a term which contains symbols like
<code>TCP/IP</code>.  Since this handling isn't complete,
you can describe <code>TCP and IP</code> instead of
<code>TCP/IP</code>, but it may cause noisy results.


<li>Substring matching and field-specified searching takes
more time than other methods.

<li>If you want to use <code class="operator">and</code>,
<code class="operator">or</code> or <code
class="operator">not</code> simply as terms, you can
surround them respectively with double quotes like <code
class="operator">"..."</code> or braces like <code
class="operator">{...}</code>. 

<!-- foo
You must choose the latter with Tkanamzu or namazu.el.
-->

</ul>

